Create Payment Intent

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Important

NEVER consider the Payment Intent or any other transaction completed or failed before validating the webhook signature.
See example Recipe for the code to validate the webhook signature header.

Coinify provides a hosted checkout user interface to enable the customer to make a payment regarding a specific PaymentIntent. Use the GET HTTP verb and redirect the customer to the paymentWindowUrl which is received in the successful response of this endpoint.

If you prefer not to use the Coinify checkout interface, you have the option to construct your own. When you create a Payment Intent, the endpoint will return a Payment Intent ID. This ID can then be used to call our GET payment-intent endpoint, which will provide you with all the data points associated with the payment intent. This allows for greater flexibility and customization in how you handle payment intents in your application.

Preselect a cryptocurrency

To preselect a cryptocurrency before redirecting your customer to the Payment Window, use the quoteCurrency parameter, as explained below. You can fetch the list of available cryptocurrencies available for a specific Payment Intent via Get Currency Estimations API endpoint.

Successful Response

PropertyTypeDescription
idstringThe ID of the newly created PaymentIntent.
paymentWindowUrlstringThe URL to redirect the customer in order to use Coinify's payment window.

Body Params
float
required
Defaults to 99.99

The amount intended to be collected

string
required
Defaults to EUR

Three-letter ISO currency code of the amount

string
required
Defaults to 123456

Merchant's ID of the order for which the PaymentIntent was created.

string
required
Defaults to 6af46318-9e60-4390-8bf0-e042d7b96b21

The ID of Merchant's customer. Should uniquely identify the customer

string
required
Defaults to [email protected]

The customer email

string
required
Defaults to DemoMerchant - Conify API Integration

The name of your API integration or e-commerce plugin integration. You can name it whatever you want. For easier distinction among other clients in Coinify system the suggested naming is "YourMerchantName + Coinify API Integration".

string
required
Defaults to https://coinify.com

A URL to redirect your customer when everything goes well

string
required
Defaults to https://www.google.com

A URL to redirect your customer when something goes wrong

json

(Optional) Additional metadata information regarding the payment intent

string

(Optional) A message for your customer. Provided in paymentUri of a PaymentIntent quote. See Resource section.

string

(Optional) An ID of Subaccount to which this Payment Intent should be attributed. You need to pass an existing subaccountId. See Create Sub-account section.

string

(Optional) The Coinify Customer ID for this Payment Intent, valid IDs owned by merchant skip the travel rule KYC flow of the payment intent.

string

Allows you to preselect the cryptocurrency the customer will pay with. If this parameter is specified, the Select Crypto screen will be skipped on the Payment Window and the customer will see the payment quote in the specified cryptocurrency on the UI.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json